
/* Buttons */
.button {
  border-radius: 3px;
  border-width: 1px;
  padding: 4px 32px;
  @include button(normal);
  &:focus { @include button(focus); }
  &:hover { @include button(hover); }
  &:insensitive { @include button(insensitive); }
  &:active { @include button(active); }
}

// Linked Buttons
.linked,
%linked {
	margin: 0;
	padding: 0;

	input,
	.button {
		vertical-align: top;
		display:inline-block;

		&.left {
			float:none;
			border-radius: 0;
			border-top-left-radius: 3px;
			border-bottom-left-radius: 3px;
		}

		&.middle {
			float: none;
			border-radius: 0;
			margin-left: 0;
			margin-right: 0;
			border-left-style: none;
			// border-right-style: none;
		}

		&.right {
			float:none;
			border-radius: 0;
			border-top-right-radius: 3px;
			border-bottom-right-radius: 3px;
			border-left-style: none;
			border-right-style: solid;
		}

	}
}